- Mock serverhttps://docs.axiomera.com/_mock/apis/heydonto/openapi/users/{userId}
- Sandboxhttps://api-staging.heydonto.com/users/{userId}
- Productionhttps://api.heydonto.com/users/{userId}
curl -i -X GET \
'https://docs.axiomera.com/_mock/apis/heydonto/openapi/users/{userId}' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'The user was successfully retrieved.
Role of the user
Enum:"ORGANIZATION_USER""BRAND_USER""SITE_USER""CLIENT_ACCOUNT_USER""SITE_MANAGER_USER"
Example:"CLIENT_ACCOUNT_USER"
Response
{ "id": 1, "email": "admin@admin.com", "firstName": "John", "lastName": "Doe", "role": "CLIENT_ACCOUNT_USER", "isEnabled": true, "createdAt": "2024-01-01T00:00:00.000Z", "updatedAt": "2024-01-02T00:00:00.000Z", "userOrganizations": [ "string" ], "userBrands": [ "string" ], "userSites": [ "string" ], "userClientAccounts": [ { … } ], "managedSites": [ "string" ], "tosAcceptedAt": "2024-01-02T00:00:00.000Z" }